package ru.redguy.webinfomod;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;

import java.io.*;

public class UsersConfig {

    private JsonArray rawUsers;

    public UsersConfig() throws IOException {
        JsonParser parser = new JsonParser();
        Object rawData;
        try {
            rawData = parser.parse(new FileReader("config/WebInfoUsers.json"));
        } catch (FileNotFoundException e) {
            File f = new File("config/WebInfoUsers.json");
            f.createNewFile();
            FileWriter fw = new FileWriter(f);
            fw.write(
                    "[{"+System.lineSeparator()+
                            "\"user\":\"admin\","+System.lineSeparator()+
                            "\"password\":\"admin\""+System.lineSeparator()+
                            "}]"
            );
            fw.close();
            rawData = parser.parse(new FileReader("config/WebInfoMod.json"));
        }
        rawUsers = (JsonArray) rawData;
    }

    public User getUser(String name) {
        User result = null;
        for (JsonElement rawUser : rawUsers) {
            JsonObject userJson = rawUser.getAsJsonObject();
            if(userJson.get("user").getAsString().equals(name)) {
                result = new User(
                        userJson.get("user").getAsString(),
                        userJson.get("password").getAsString()
                );
            }
        }
        return result;
    }
}
