package ru.redguy.webinfomod.pages.json;

import com.google.gson.JsonObject;
import fi.iki.elonen.NanoHTTPD;
import ru.redguy.webinfomod.*;
import ru.redguy.webinfomod.langs.LangFile;
import ru.redguy.webinfomod.utils.DataUtils;

import java.io.IOException;

@WebPage(url="/json/mainData.json")
public class MainData implements IWebPage {

    public NanoHTTPD.Response getPage(Config config, LangFile langFile, NanoHTTPD.IHTTPSession session) throws IOException {
        JsonObject jsonObject = new JsonObject();
        jsonObject.addProperty("MineV",config.getString("MineV"));
        StringBuilder players = new StringBuilder();
        for (String s : DataUtils.getPlayersList()) {
            players.append(s).append(",");
        }
        players.deleteCharAt(players.length()-1);
        jsonObject.addProperty("Players",players.toString());
        return NanoHTTPD.newFixedLengthResponse(jsonObject.toString());
    }
}
